From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libao/
Date: Mon, 29 May 2023 09:12:26 +0000 (UTC) [thread overview]
Message-ID: <1685351537.340115d0c52eecd278390ed57607f9e8a07dbacb.asturm@gentoo> (raw)
commit: 340115d0c52eecd278390ed57607f9e8a07dbacb
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 19:40:43 2023 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon May 29 09:12:17 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=340115d0
media-libs/libao: update EAPI 7 -> 8, unused multilib, use libpulse
Closes: https://bugs.gentoo.org/881997
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-libs/libao/libao-1.2.2-r3.ebuild | 61 ++++++++++++++++++++++++++++++++++
1 file changed, 61 insertions(+)
diff --git a/media-libs/libao/libao-1.2.2-r3.ebuild b/media-libs/libao/libao-1.2.2-r3.ebuild
new file mode 100644
index 000000000000..9256d9dd01d7
--- /dev/null
+++ b/media-libs/libao/libao-1.2.2-r3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="The Audio Output library"
+HOMEPAGE="https://www.xiph.org/ao/"
+#SRC_URI="https://downloads.xiph.org/releases/ao/${P}.tar.gz"
+#SRC_URI="https://git.xiph.org/?p=libao.git;a=snapshot;h=refs/tags/${PV};sf=tgz -> ${P}.tar.gz"
+SRC_URI="https://github.com/xiph/libao/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos"
+IUSE="alsa nas mmap pulseaudio sndio"
+
+RDEPEND="
+ alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
+ nas? ( >=media-libs/nas-1.9.4[${MULTILIB_USEDEP}] )
+ pulseaudio? ( media-libs/libpulse[${MULTILIB_USEDEP}] )
+ sndio? ( media-sound/sndio:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-implicit.patch
+ "${FILESDIR}"/${P}-automagic_sndio_oss.patch
+)
+
+src_prepare() {
+ default
+ sed -i "s:/lib:/$(get_libdir):g" ao.m4 || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --disable-arts
+ --disable-esd
+ $(use_enable alsa alsa)
+ $(use_enable mmap alsa-mmap)
+ $(use_enable nas)
+ $(use_enable pulseaudio pulse)
+ $(use_enable sndio)
+ --disable-oss # present only in overlays
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" docdir="${EPREFIX}/usr/share/doc/${PF}/html" install
+}
+
+multilib_src_install_all() {
+ dodoc AUTHORS CHANGES README TODO
+
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}
next reply other threads:[~2023-05-29 9:12 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-29 9:12 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-29 20:38 [gentoo-commits] repo/gentoo:master commit in: media-libs/libao/ Andreas Sturmlechner
2023-05-29 20:37 Sam James
2023-05-29 18:50 Arthur Zamarin
2023-05-29 18:39 Sam James
2023-05-29 18:36 Sam James
2023-05-29 18:36 Sam James
2023-05-29 18:36 Sam James
2023-05-29 18:36 Sam James
2023-05-29 18:25 Arthur Zamarin
2022-10-19 10:07 WANG Xuerui
2021-08-10 8:58 Yixun Lan
2021-08-05 19:26 Miroslav Šulc
2021-08-05 14:10 Sam James
2021-07-26 6:31 Sam James
2021-07-26 6:24 Sam James
2021-07-17 23:14 Sam James
2021-07-17 7:44 Agostino Sarubbo
2021-07-17 7:42 Agostino Sarubbo
2021-07-16 21:44 Sam James
2020-07-31 14:45 Andreas Sturmlechner
2020-07-30 20:54 Sergei Trofimovich
2020-07-21 9:32 Agostino Sarubbo
2020-07-21 9:31 Agostino Sarubbo
2020-07-21 9:29 Agostino Sarubbo
2020-07-21 8:48 Agostino Sarubbo
2020-07-20 16:54 Sam James
2020-07-20 11:45 Sam James
2020-07-20 2:23 Sam James
2018-06-11 0:14 Andreas Sturmlechner
2017-10-05 13:20 Sergei Trofimovich
2017-09-30 23:38 Thomas Deutschmann
2017-09-26 22:57 Manuel Rüger
2017-09-24 18:14 Sergei Trofimovich
2017-09-08 19:24 Markus Meier
2017-09-04 7:30 Tobias Klausmann
2017-08-27 14:31 Sergei Trofimovich
2017-08-26 9:53 Sergei Trofimovich
2017-06-19 11:42 Alexis Ballier
2017-05-18 14:55 Lars Wendler
2017-01-29 19:14 Fabian Groffen
2016-12-06 4:37 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1685351537.340115d0c52eecd278390ed57607f9e8a07dbacb.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox